// **********************************
// константы и переменные
// **********************************

#ifndef defines_h
#define defines_h

const int versionPrg=3;

// контакты подключения шагового двигателя
const int motorIN1=6;
const int motorIN2=7;
const int motorIN3=8; 
const int motorIN4=12;

const int pinBuzzer=13;
///////////************************ служебные переменные

/////// кнопки ( -, select, +)
const int countButtons=3;
const int pinButtons[]={17,16,15,13};
int lastButtons[]={0,0,0,0};
int currentButtons[]={0,0,0,0};
unsigned long millisbuttons[]={0,0,0,0};
unsigned long intervalAvtoRepeat=1000;
unsigned long intervalAvtoRepeat1=1000;  // автоповтор 1
unsigned long intervalAvtoRepeat2=200;  // автоповтор 2 и далее

/////// светодиод RGB - индикация режима настройки
const int pinLedSettingsRed=4;
const int pinLedSettingsGreen=5;
const int pinLedSettingsBlue=3;   // 18

/////// RGB-лента
const int pinLedLightRed=10;
const int pinLedLightGreen=11;
const int pinLedLightBlue=9;

// индикация режима настройки
int ledsSettings[8][3]={
                  {0,0,0},            // остановить платформу и освещение 
                  {255,0,0},          // выбор направления движения платформы
                  {0,255,0},          // выбор скорости движения платформы
                  {0,0,255},          // выбор максимальной яркости RGB-лента
                  {255,255,0},        // выбор цвета RGB-лента  
                  {255,0,255},        // выбор длительности смены цвета RGB-лента     
                  {0,255,255},        // выбор режима освещения RGB-лента 
                                      // 0 - не горит ,
                                      // 1 - пост. цвет и яркость,
                                      // 2 - пост. цвет и меняющаяся яркость 0 --> max ,   
                                      // 3 - все цвета и постоянная яркость,
                                      // 4 - все цвета и меняющаяся яркость 0 --> max,
                  {255,255,255},      // сохранение в EEPROM настроек (загрузка из EEPROM последних сохраненных) 
};

////////////////////////////////
int speedMotorMin=50;   //
int speedMotorMax=500;  //
int speedMotorStep=10;  //

int brightRGBMin=5;   //
int brightRGBMax=255;  //
int brightRGBStep=10;  //


//
#endif
